GET /finance/bank/statements/\{id\}
GET/finance/bank/statements/:id
GET /finance/bank/statements/{id}
Request
Path Parameters
id int64required
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
id int64nullable
uid uuidnullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
bank_account
object
required
id int32nullable
account_number stringnullable
currency stringrequired
Possible values: non-empty
date_from datenullable
date_to datenullable
opening_balance doublenullable
closing_balance doublenullable
no stringnullable
copy_from_id int64nullable
lines
object[]
nullable
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"bank_account": {
"id": 0,
"account_number": "string"
},
"currency": "string",
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"opening_balance": 0,
"closing_balance": 0,
"no": "string",
"copy_from_id": 0,
"lines": [
{
"id": 0,
"description": "string",
"amount": 0,
"amount_original": 0,
"payment_amount": 0,
"date_transaction": "2024-07-29",
"date_accounting": "2024-07-29",
"currency": "string",
"payment_reference": "string",
"partner_account_number": "string",
"partner_name": "string",
"order": 0,
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"paid_record": {
"id": 0,
"no": "string",
"type": "string",
"contact": {
"id": 0,
"business_name": "string"
}
},
"raw_message": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
}
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
id int64nullable
uid uuidnullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
bank_account
object
required
id int32nullable
account_number stringnullable
currency stringrequired
Possible values: non-empty
date_from datenullable
date_to datenullable
opening_balance doublenullable
closing_balance doublenullable
no stringnullable
copy_from_id int64nullable
lines
object[]
nullable
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"bank_account": {
"id": 0,
"account_number": "string"
},
"currency": "string",
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"opening_balance": 0,
"closing_balance": 0,
"no": "string",
"copy_from_id": 0,
"lines": [
{
"id": 0,
"description": "string",
"amount": 0,
"amount_original": 0,
"payment_amount": 0,
"date_transaction": "2024-07-29",
"date_accounting": "2024-07-29",
"currency": "string",
"payment_reference": "string",
"partner_account_number": "string",
"partner_name": "string",
"order": 0,
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"paid_record": {
"id": 0,
"no": "string",
"type": "string",
"contact": {
"id": 0,
"business_name": "string"
}
},
"raw_message": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
}
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
id int64nullable
uid uuidnullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
bank_account
object
required
id int32nullable
account_number stringnullable
currency stringrequired
Possible values: non-empty
date_from datenullable
date_to datenullable
opening_balance doublenullable
closing_balance doublenullable
no stringnullable
copy_from_id int64nullable
lines
object[]
nullable
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"bank_account": {
"id": 0,
"account_number": "string"
},
"currency": "string",
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"opening_balance": 0,
"closing_balance": 0,
"no": "string",
"copy_from_id": 0,
"lines": [
{
"id": 0,
"description": "string",
"amount": 0,
"amount_original": 0,
"payment_amount": 0,
"date_transaction": "2024-07-29",
"date_accounting": "2024-07-29",
"currency": "string",
"payment_reference": "string",
"partner_account_number": "string",
"partner_name": "string",
"order": 0,
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"paid_record": {
"id": 0,
"no": "string",
"type": "string",
"contact": {
"id": 0,
"business_name": "string"
}
},
"raw_message": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
}
}
]
}
Loading...